; Test rule for input file ack.simpl
(rule
  (deps ack.simpl)
  (target ack.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff ack.expected-nabla ack.out-nabla)))

; Test rule for input file ack_cps.simpl
(rule
  (deps ack_cps.simpl)
  (target ack_cps.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff ack_cps.expected-nabla ack_cps.out-nabla)))

; Test rule for input file ack_original.simpl
(rule
  (deps ack_original.simpl)
  (target ack_original.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff ack_original.expected-nabla ack_original.out-nabla)))

; Test rule for input file binomial.simpl
(rule
  (deps binomial.simpl)
  (target binomial.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff binomial.expected-nabla binomial.out-nabla)))

; Test rule for input file blur.simpl
(rule
  (deps blur.simpl)
  (target blur.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff blur.expected-nabla blur.out-nabla)))

; Test rule for input file church.simpl
(rule
  (deps church.simpl)
  (target church.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff church.expected-nabla church.out-nabla)))

; Test rule for input file confused1.simpl
(rule
  (deps confused1.simpl)
  (target confused1.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff confused1.expected-nabla confused1.out-nabla)))

; Test rule for input file confused2.simpl
(rule
  (deps confused2.simpl)
  (target confused2.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff confused2.expected-nabla confused2.out-nabla)))

; Test rule for input file confused3.simpl
(rule
  (deps confused3.simpl)
  (target confused3.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff confused3.expected-nabla confused3.out-nabla)))

; Test rule for input file cps.simpl
(rule
  (deps cps.simpl)
  (target cps.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff cps.expected-nabla cps.out-nabla)))

; Test rule for input file delta_delta.simpl
(rule
  (deps delta_delta.simpl)
  (target delta_delta.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff delta_delta.expected-nabla delta_delta.out-nabla)))

; Test rule for input file eta.simpl
(rule
  (deps eta.simpl)
  (target eta.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff eta.expected-nabla eta.out-nabla)))

; Test rule for input file facehugger.simpl
(rule
  (deps facehugger.simpl)
  (target facehugger.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff facehugger.expected-nabla facehugger.out-nabla)))

; Test rule for input file fact.simpl
(rule
  (deps fact.simpl)
  (target fact.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff fact.expected-nabla fact.out-nabla)))

; Test rule for input file fact2.simpl
(rule
  (deps fact2.simpl)
  (target fact2.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff fact2.expected-nabla fact2.out-nabla)))

; Test rule for input file fact_cps.simpl
(rule
  (deps fact_cps.simpl)
  (target fact_cps.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff fact_cps.expected-nabla fact_cps.out-nabla)))

; Test rule for input file fact_tailrec.simpl
(rule
  (deps fact_tailrec.simpl)
  (target fact_tailrec.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff fact_tailrec.expected-nabla fact_tailrec.out-nabla)))

; Test rule for input file fib.simpl
(rule
  (deps fib.simpl)
  (target fib.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff fib.expected-nabla fib.out-nabla)))

; Test rule for input file hanoi.simpl
(rule
  (deps hanoi.simpl)
  (target hanoi.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff hanoi.expected-nabla hanoi.out-nabla)))

; Test rule for input file hanoi_tailrec.simpl
(rule
  (deps hanoi_tailrec.simpl)
  (target hanoi_tailrec.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff hanoi_tailrec.expected-nabla hanoi_tailrec.out-nabla)))

; Test rule for input file heintze_mcallester.simpl
(rule
  (deps heintze_mcallester.simpl)
  (target heintze_mcallester.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester.expected-nabla heintze_mcallester.out-nabla)))

; Test rule for input file heintze_mcallester_10.simpl
(rule
  (deps heintze_mcallester_10.simpl)
  (target heintze_mcallester_10.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_10.expected-nabla heintze_mcallester_10.out-nabla)))

; Test rule for input file heintze_mcallester_100.simpl
(rule
  (deps heintze_mcallester_100.simpl)
  (target heintze_mcallester_100.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_100.expected-nabla heintze_mcallester_100.out-nabla)))

; Test rule for input file heintze_mcallester_1000.simpl
(rule
  (deps heintze_mcallester_1000.simpl)
  (target heintze_mcallester_1000.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_1000.expected-nabla heintze_mcallester_1000.out-nabla)))

; Test rule for input file heintze_mcallester_20.simpl
(rule
  (deps heintze_mcallester_20.simpl)
  (target heintze_mcallester_20.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_20.expected-nabla heintze_mcallester_20.out-nabla)))

; Test rule for input file heintze_mcallester_200.simpl
(rule
  (deps heintze_mcallester_200.simpl)
  (target heintze_mcallester_200.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_200.expected-nabla heintze_mcallester_200.out-nabla)))

; Test rule for input file heintze_mcallester_30.simpl
(rule
  (deps heintze_mcallester_30.simpl)
  (target heintze_mcallester_30.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_30.expected-nabla heintze_mcallester_30.out-nabla)))

; Test rule for input file heintze_mcallester_300.simpl
(rule
  (deps heintze_mcallester_300.simpl)
  (target heintze_mcallester_300.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_300.expected-nabla heintze_mcallester_300.out-nabla)))

; Test rule for input file heintze_mcallester_40.simpl
(rule
  (deps heintze_mcallester_40.simpl)
  (target heintze_mcallester_40.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_40.expected-nabla heintze_mcallester_40.out-nabla)))

; Test rule for input file heintze_mcallester_400.simpl
(rule
  (deps heintze_mcallester_400.simpl)
  (target heintze_mcallester_400.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_400.expected-nabla heintze_mcallester_400.out-nabla)))

; Test rule for input file heintze_mcallester_50.simpl
(rule
  (deps heintze_mcallester_50.simpl)
  (target heintze_mcallester_50.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_50.expected-nabla heintze_mcallester_50.out-nabla)))

; Test rule for input file heintze_mcallester_500.simpl
(rule
  (deps heintze_mcallester_500.simpl)
  (target heintze_mcallester_500.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_500.expected-nabla heintze_mcallester_500.out-nabla)))

; Test rule for input file heintze_mcallester_600.simpl
(rule
  (deps heintze_mcallester_600.simpl)
  (target heintze_mcallester_600.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_600.expected-nabla heintze_mcallester_600.out-nabla)))

; Test rule for input file heintze_mcallester_700.simpl
(rule
  (deps heintze_mcallester_700.simpl)
  (target heintze_mcallester_700.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_700.expected-nabla heintze_mcallester_700.out-nabla)))

; Test rule for input file heintze_mcallester_800.simpl
(rule
  (deps heintze_mcallester_800.simpl)
  (target heintze_mcallester_800.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_800.expected-nabla heintze_mcallester_800.out-nabla)))

; Test rule for input file heintze_mcallester_900.simpl
(rule
  (deps heintze_mcallester_900.simpl)
  (target heintze_mcallester_900.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_900.expected-nabla heintze_mcallester_900.out-nabla)))

; Test rule for input file id_id.simpl
(rule
  (deps id_id.simpl)
  (target id_id.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff id_id.expected-nabla id_id.out-nabla)))

; Test rule for input file join.simpl
(rule
  (deps join.simpl)
  (target join.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff join.expected-nabla join.out-nabla)))

; Test rule for input file kcfa2.simpl
(rule
  (deps kcfa2.simpl)
  (target kcfa2.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff kcfa2.expected-nabla kcfa2.out-nabla)))

; Test rule for input file kcfa3.simpl
(rule
  (deps kcfa3.simpl)
  (target kcfa3.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff kcfa3.expected-nabla kcfa3.out-nabla)))

; Test rule for input file loop1.simpl
(rule
  (deps loop1.simpl)
  (target loop1.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff loop1.expected-nabla loop1.out-nabla)))

; Test rule for input file mc91.simpl
(rule
  (deps mc91.simpl)
  (target mc91.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff mc91.expected-nabla mc91.out-nabla)))

; Test rule for input file mc91_cps.simpl
(rule
  (deps mc91_cps.simpl)
  (target mc91_cps.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff mc91_cps.expected-nabla mc91_cps.out-nabla)))

; Test rule for input file mc91_knuth.simpl
(rule
  (deps mc91_knuth.simpl)
  (target mc91_knuth.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff mc91_knuth.expected-nabla mc91_knuth.out-nabla)))

; Test rule for input file mc91_tailrec.simpl
(rule
  (deps mc91_tailrec.simpl)
  (target mc91_tailrec.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff mc91_tailrec.expected-nabla mc91_tailrec.out-nabla)))

; Test rule for input file mj09.simpl
(rule
  (deps mj09.simpl)
  (target mj09.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff mj09.expected-nabla mj09.out-nabla)))

; Test rule for input file numeric_loop1.simpl
(rule
  (deps numeric_loop1.simpl)
  (target numeric_loop1.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff numeric_loop1.expected-nabla numeric_loop1.out-nabla)))

; Test rule for input file numeric_loop2a.simpl
(rule
  (deps numeric_loop2a.simpl)
  (target numeric_loop2a.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff numeric_loop2a.expected-nabla numeric_loop2a.out-nabla)))

; Test rule for input file numeric_loop2b.simpl
(rule
  (deps numeric_loop2b.simpl)
  (target numeric_loop2b.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff numeric_loop2b.expected-nabla numeric_loop2b.out-nabla)))

; Test rule for input file numeric_loop3a.simpl
(rule
  (deps numeric_loop3a.simpl)
  (target numeric_loop3a.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff numeric_loop3a.expected-nabla numeric_loop3a.out-nabla)))

; Test rule for input file numeric_loop3b.simpl
(rule
  (deps numeric_loop3b.simpl)
  (target numeric_loop3b.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff numeric_loop3b.expected-nabla numeric_loop3b.out-nabla)))

; Test rule for input file numeric_loop3c.simpl
(rule
  (deps numeric_loop3c.simpl)
  (target numeric_loop3c.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff numeric_loop3c.expected-nabla numeric_loop3c.out-nabla)))

; Test rule for input file rec_loop.simpl
(rule
  (deps rec_loop.simpl)
  (target rec_loop.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff rec_loop.expected-nabla rec_loop.out-nabla)))

; Test rule for input file sat.simpl
(rule
  (deps sat.simpl)
  (target sat.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff sat.expected-nabla sat.out-nabla)))

; Test rule for input file sat3.simpl
(rule
  (deps sat3.simpl)
  (target sat3.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff sat3.expected-nabla sat3.out-nabla)))

; Test rule for input file sat4.simpl
(rule
  (deps sat4.simpl)
  (target sat4.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff sat4.expected-nabla sat4.out-nabla)))

; Test rule for input file shivers_infinite.simpl
(rule
  (deps shivers_infinite.simpl)
  (target shivers_infinite.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff shivers_infinite.expected-nabla shivers_infinite.out-nabla)))

; Test rule for input file shivers_infinite2.simpl
(rule
  (deps shivers_infinite2.simpl)
  (target shivers_infinite2.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff shivers_infinite2.expected-nabla shivers_infinite2.out-nabla)))

; Test rule for input file tak.simpl
(rule
  (deps tak.simpl)
  (target tak.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff tak.expected-nabla tak.out-nabla)))

; Test rule for input file tak_4d.simpl
(rule
  (deps tak_4d.simpl)
  (target tak_4d.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff tak_4d.expected-nabla tak_4d.out-nabla)))

; Test rule for input file tak_b.simpl
(rule
  (deps tak_b.simpl)
  (target tak_b.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff tak_b.expected-nabla tak_b.out-nabla)))

; Test rule for input file tak_cps.simpl
(rule
  (deps tak_cps.simpl)
  (target tak_cps.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff tak_cps.expected-nabla tak_cps.out-nabla)))

; Test rule for input file tak_g.simpl
(rule
  (deps tak_g.simpl)
  (target tak_g.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff tak_g.expected-nabla tak_g.out-nabla)))

; Test rule for input file tak_k.simpl
(rule
  (deps tak_k.simpl)
  (target tak_k.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff tak_k.expected-nabla tak_k.out-nabla)))

; Test rule for input file test_midtgaard_jensen_cfa.simpl
(rule
  (deps test_midtgaard_jensen_cfa.simpl)
  (target test_midtgaard_jensen_cfa.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff test_midtgaard_jensen_cfa.expected-nabla test_midtgaard_jensen_cfa.out-nabla)))

; Test rule for input file test_midtgaard_jensen_cfa_cps.simpl
(rule
  (deps test_midtgaard_jensen_cfa_cps.simpl)
  (target test_midtgaard_jensen_cfa_cps.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff test_midtgaard_jensen_cfa_cps.expected-nabla test_midtgaard_jensen_cfa_cps.out-nabla)))

; Test rule for input file turing_cbv_loop.simpl
(rule
  (deps turing_cbv_loop.simpl)
  (target turing_cbv_loop.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff turing_cbv_loop.expected-nabla turing_cbv_loop.out-nabla)))

; Test rule for input file turing_loop.simpl
(rule
  (deps turing_loop.simpl)
  (target turing_loop.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff turing_loop.expected-nabla turing_loop.out-nabla)))

; Test rule for input file y_loop.simpl
(rule
  (deps y_loop.simpl)
  (target y_loop.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff y_loop.expected-nabla y_loop.out-nabla)))

; Test rule for input file z_loop.simpl
(rule
  (deps z_loop.simpl)
  (target z_loop.out-nabla)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --nabla --integer-domain=intervals --call-domain=cyclic-call-sites:2 --branch-is-context --kill-unreachable --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff z_loop.expected-nabla z_loop.out-nabla)))

; Test rule for input file ack.simpl
(rule
  (deps ack.simpl)
  (target ack.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff ack.expected-global ack.out-global)))

; Test rule for input file ack_cps.simpl
(rule
  (deps ack_cps.simpl)
  (target ack_cps.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff ack_cps.expected-global ack_cps.out-global)))

; Test rule for input file ack_original.simpl
(rule
  (deps ack_original.simpl)
  (target ack_original.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff ack_original.expected-global ack_original.out-global)))

; Test rule for input file binomial.simpl
(rule
  (deps binomial.simpl)
  (target binomial.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff binomial.expected-global binomial.out-global)))

; Test rule for input file blur.simpl
(rule
  (deps blur.simpl)
  (target blur.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff blur.expected-global blur.out-global)))

; Test rule for input file church.simpl
(rule
  (deps church.simpl)
  (target church.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff church.expected-global church.out-global)))

; Test rule for input file confused1.simpl
(rule
  (deps confused1.simpl)
  (target confused1.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff confused1.expected-global confused1.out-global)))

; Test rule for input file confused2.simpl
(rule
  (deps confused2.simpl)
  (target confused2.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff confused2.expected-global confused2.out-global)))

; Test rule for input file confused3.simpl
(rule
  (deps confused3.simpl)
  (target confused3.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff confused3.expected-global confused3.out-global)))

; Test rule for input file cps.simpl
(rule
  (deps cps.simpl)
  (target cps.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff cps.expected-global cps.out-global)))

; Test rule for input file delta_delta.simpl
(rule
  (deps delta_delta.simpl)
  (target delta_delta.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff delta_delta.expected-global delta_delta.out-global)))

; Test rule for input file eta.simpl
(rule
  (deps eta.simpl)
  (target eta.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff eta.expected-global eta.out-global)))

; Test rule for input file facehugger.simpl
(rule
  (deps facehugger.simpl)
  (target facehugger.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff facehugger.expected-global facehugger.out-global)))

; Test rule for input file fact.simpl
(rule
  (deps fact.simpl)
  (target fact.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff fact.expected-global fact.out-global)))

; Test rule for input file fact2.simpl
(rule
  (deps fact2.simpl)
  (target fact2.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff fact2.expected-global fact2.out-global)))

; Test rule for input file fact_cps.simpl
(rule
  (deps fact_cps.simpl)
  (target fact_cps.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff fact_cps.expected-global fact_cps.out-global)))

; Test rule for input file fact_tailrec.simpl
(rule
  (deps fact_tailrec.simpl)
  (target fact_tailrec.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff fact_tailrec.expected-global fact_tailrec.out-global)))

; Test rule for input file fib.simpl
(rule
  (deps fib.simpl)
  (target fib.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff fib.expected-global fib.out-global)))

; Test rule for input file hanoi.simpl
(rule
  (deps hanoi.simpl)
  (target hanoi.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff hanoi.expected-global hanoi.out-global)))

; Test rule for input file hanoi_tailrec.simpl
(rule
  (deps hanoi_tailrec.simpl)
  (target hanoi_tailrec.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff hanoi_tailrec.expected-global hanoi_tailrec.out-global)))

; Test rule for input file heintze_mcallester.simpl
(rule
  (deps heintze_mcallester.simpl)
  (target heintze_mcallester.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester.expected-global heintze_mcallester.out-global)))

; Test rule for input file heintze_mcallester_10.simpl
(rule
  (deps heintze_mcallester_10.simpl)
  (target heintze_mcallester_10.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_10.expected-global heintze_mcallester_10.out-global)))

; Test rule for input file heintze_mcallester_100.simpl
(rule
  (deps heintze_mcallester_100.simpl)
  (target heintze_mcallester_100.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_100.expected-global heintze_mcallester_100.out-global)))

; Test rule for input file heintze_mcallester_20.simpl
(rule
  (deps heintze_mcallester_20.simpl)
  (target heintze_mcallester_20.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_20.expected-global heintze_mcallester_20.out-global)))

; Test rule for input file heintze_mcallester_200.simpl
(rule
  (deps heintze_mcallester_200.simpl)
  (target heintze_mcallester_200.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_200.expected-global heintze_mcallester_200.out-global)))

; Test rule for input file heintze_mcallester_30.simpl
(rule
  (deps heintze_mcallester_30.simpl)
  (target heintze_mcallester_30.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_30.expected-global heintze_mcallester_30.out-global)))

; Test rule for input file heintze_mcallester_300.simpl
(rule
  (deps heintze_mcallester_300.simpl)
  (target heintze_mcallester_300.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_300.expected-global heintze_mcallester_300.out-global)))

; Test rule for input file heintze_mcallester_40.simpl
(rule
  (deps heintze_mcallester_40.simpl)
  (target heintze_mcallester_40.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_40.expected-global heintze_mcallester_40.out-global)))

; Test rule for input file heintze_mcallester_400.simpl
(rule
  (deps heintze_mcallester_400.simpl)
  (target heintze_mcallester_400.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_400.expected-global heintze_mcallester_400.out-global)))

; Test rule for input file heintze_mcallester_50.simpl
(rule
  (deps heintze_mcallester_50.simpl)
  (target heintze_mcallester_50.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_50.expected-global heintze_mcallester_50.out-global)))

; Test rule for input file id_id.simpl
(rule
  (deps id_id.simpl)
  (target id_id.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff id_id.expected-global id_id.out-global)))

; Test rule for input file join.simpl
(rule
  (deps join.simpl)
  (target join.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff join.expected-global join.out-global)))

; Test rule for input file kcfa2.simpl
(rule
  (deps kcfa2.simpl)
  (target kcfa2.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff kcfa2.expected-global kcfa2.out-global)))

; Test rule for input file kcfa3.simpl
(rule
  (deps kcfa3.simpl)
  (target kcfa3.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff kcfa3.expected-global kcfa3.out-global)))

; Test rule for input file loop1.simpl
(rule
  (deps loop1.simpl)
  (target loop1.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff loop1.expected-global loop1.out-global)))

; Test rule for input file mc91.simpl
(rule
  (deps mc91.simpl)
  (target mc91.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff mc91.expected-global mc91.out-global)))

; Test rule for input file mc91_cps.simpl
(rule
  (deps mc91_cps.simpl)
  (target mc91_cps.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff mc91_cps.expected-global mc91_cps.out-global)))

; Test rule for input file mc91_knuth.simpl
(rule
  (deps mc91_knuth.simpl)
  (target mc91_knuth.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff mc91_knuth.expected-global mc91_knuth.out-global)))

; Test rule for input file mc91_tailrec.simpl
(rule
  (deps mc91_tailrec.simpl)
  (target mc91_tailrec.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff mc91_tailrec.expected-global mc91_tailrec.out-global)))

; Test rule for input file mj09.simpl
(rule
  (deps mj09.simpl)
  (target mj09.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff mj09.expected-global mj09.out-global)))

; Test rule for input file numeric_loop1.simpl
(rule
  (deps numeric_loop1.simpl)
  (target numeric_loop1.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff numeric_loop1.expected-global numeric_loop1.out-global)))

; Test rule for input file numeric_loop2a.simpl
(rule
  (deps numeric_loop2a.simpl)
  (target numeric_loop2a.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff numeric_loop2a.expected-global numeric_loop2a.out-global)))

; Test rule for input file numeric_loop2b.simpl
(rule
  (deps numeric_loop2b.simpl)
  (target numeric_loop2b.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff numeric_loop2b.expected-global numeric_loop2b.out-global)))

; Test rule for input file numeric_loop3a.simpl
(rule
  (deps numeric_loop3a.simpl)
  (target numeric_loop3a.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff numeric_loop3a.expected-global numeric_loop3a.out-global)))

; Test rule for input file numeric_loop3b.simpl
(rule
  (deps numeric_loop3b.simpl)
  (target numeric_loop3b.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff numeric_loop3b.expected-global numeric_loop3b.out-global)))

; Test rule for input file numeric_loop3c.simpl
(rule
  (deps numeric_loop3c.simpl)
  (target numeric_loop3c.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff numeric_loop3c.expected-global numeric_loop3c.out-global)))

; Test rule for input file rec_loop.simpl
(rule
  (deps rec_loop.simpl)
  (target rec_loop.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff rec_loop.expected-global rec_loop.out-global)))

; Test rule for input file sat.simpl
(rule
  (deps sat.simpl)
  (target sat.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff sat.expected-global sat.out-global)))

; Test rule for input file sat3.simpl
(rule
  (deps sat3.simpl)
  (target sat3.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff sat3.expected-global sat3.out-global)))

; Test rule for input file sat4.simpl
(rule
  (deps sat4.simpl)
  (target sat4.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff sat4.expected-global sat4.out-global)))

; Test rule for input file shivers_infinite.simpl
(rule
  (deps shivers_infinite.simpl)
  (target shivers_infinite.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff shivers_infinite.expected-global shivers_infinite.out-global)))

; Test rule for input file shivers_infinite2.simpl
(rule
  (deps shivers_infinite2.simpl)
  (target shivers_infinite2.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff shivers_infinite2.expected-global shivers_infinite2.out-global)))

; Test rule for input file tak.simpl
(rule
  (deps tak.simpl)
  (target tak.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff tak.expected-global tak.out-global)))

; Test rule for input file tak_4d.simpl
(rule
  (deps tak_4d.simpl)
  (target tak_4d.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff tak_4d.expected-global tak_4d.out-global)))

; Test rule for input file tak_b.simpl
(rule
  (deps tak_b.simpl)
  (target tak_b.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff tak_b.expected-global tak_b.out-global)))

; Test rule for input file tak_cps.simpl
(rule
  (deps tak_cps.simpl)
  (target tak_cps.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff tak_cps.expected-global tak_cps.out-global)))

; Test rule for input file tak_g.simpl
(rule
  (deps tak_g.simpl)
  (target tak_g.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff tak_g.expected-global tak_g.out-global)))

; Test rule for input file tak_k.simpl
(rule
  (deps tak_k.simpl)
  (target tak_k.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff tak_k.expected-global tak_k.out-global)))

; Test rule for input file test_midtgaard_jensen_cfa.simpl
(rule
  (deps test_midtgaard_jensen_cfa.simpl)
  (target test_midtgaard_jensen_cfa.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff test_midtgaard_jensen_cfa.expected-global test_midtgaard_jensen_cfa.out-global)))

; Test rule for input file test_midtgaard_jensen_cfa_cps.simpl
(rule
  (deps test_midtgaard_jensen_cfa_cps.simpl)
  (target test_midtgaard_jensen_cfa_cps.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff test_midtgaard_jensen_cfa_cps.expected-global test_midtgaard_jensen_cfa_cps.out-global)))

; Test rule for input file turing_cbv_loop.simpl
(rule
  (deps turing_cbv_loop.simpl)
  (target turing_cbv_loop.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff turing_cbv_loop.expected-global turing_cbv_loop.out-global)))

; Test rule for input file turing_loop.simpl
(rule
  (deps turing_loop.simpl)
  (target turing_loop.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff turing_loop.expected-global turing_loop.out-global)))

; Test rule for input file y_loop.simpl
(rule
  (deps y_loop.simpl)
  (target y_loop.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff y_loop.expected-global y_loop.out-global)))

; Test rule for input file z_loop.simpl
(rule
  (deps z_loop.simpl)
  (target z_loop.out-global)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff z_loop.expected-global z_loop.out-global)))

; Test rule for input file ack.simpl
(rule
  (deps ack.simpl)
  (target ack.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff ack.expected-global-independent-attribute ack.out-global-independent-attribute)))

; Test rule for input file ack_cps.simpl
(rule
  (deps ack_cps.simpl)
  (target ack_cps.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff ack_cps.expected-global-independent-attribute ack_cps.out-global-independent-attribute)))

; Test rule for input file ack_original.simpl
(rule
  (deps ack_original.simpl)
  (target ack_original.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff ack_original.expected-global-independent-attribute ack_original.out-global-independent-attribute)))

; Test rule for input file binomial.simpl
(rule
  (deps binomial.simpl)
  (target binomial.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff binomial.expected-global-independent-attribute binomial.out-global-independent-attribute)))

; Test rule for input file blur.simpl
(rule
  (deps blur.simpl)
  (target blur.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff blur.expected-global-independent-attribute blur.out-global-independent-attribute)))

; Test rule for input file church.simpl
(rule
  (deps church.simpl)
  (target church.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff church.expected-global-independent-attribute church.out-global-independent-attribute)))

; Test rule for input file confused1.simpl
(rule
  (deps confused1.simpl)
  (target confused1.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff confused1.expected-global-independent-attribute confused1.out-global-independent-attribute)))

; Test rule for input file confused2.simpl
(rule
  (deps confused2.simpl)
  (target confused2.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff confused2.expected-global-independent-attribute confused2.out-global-independent-attribute)))

; Test rule for input file confused3.simpl
(rule
  (deps confused3.simpl)
  (target confused3.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff confused3.expected-global-independent-attribute confused3.out-global-independent-attribute)))

; Test rule for input file cps.simpl
(rule
  (deps cps.simpl)
  (target cps.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff cps.expected-global-independent-attribute cps.out-global-independent-attribute)))

; Test rule for input file delta_delta.simpl
(rule
  (deps delta_delta.simpl)
  (target delta_delta.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff delta_delta.expected-global-independent-attribute delta_delta.out-global-independent-attribute)))

; Test rule for input file eta.simpl
(rule
  (deps eta.simpl)
  (target eta.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff eta.expected-global-independent-attribute eta.out-global-independent-attribute)))

; Test rule for input file facehugger.simpl
(rule
  (deps facehugger.simpl)
  (target facehugger.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff facehugger.expected-global-independent-attribute facehugger.out-global-independent-attribute)))

; Test rule for input file fact.simpl
(rule
  (deps fact.simpl)
  (target fact.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff fact.expected-global-independent-attribute fact.out-global-independent-attribute)))

; Test rule for input file fact2.simpl
(rule
  (deps fact2.simpl)
  (target fact2.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff fact2.expected-global-independent-attribute fact2.out-global-independent-attribute)))

; Test rule for input file fact_cps.simpl
(rule
  (deps fact_cps.simpl)
  (target fact_cps.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff fact_cps.expected-global-independent-attribute fact_cps.out-global-independent-attribute)))

; Test rule for input file fact_tailrec.simpl
(rule
  (deps fact_tailrec.simpl)
  (target fact_tailrec.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff fact_tailrec.expected-global-independent-attribute fact_tailrec.out-global-independent-attribute)))

; Test rule for input file fib.simpl
(rule
  (deps fib.simpl)
  (target fib.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff fib.expected-global-independent-attribute fib.out-global-independent-attribute)))

; Test rule for input file hanoi.simpl
(rule
  (deps hanoi.simpl)
  (target hanoi.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff hanoi.expected-global-independent-attribute hanoi.out-global-independent-attribute)))

; Test rule for input file hanoi_tailrec.simpl
(rule
  (deps hanoi_tailrec.simpl)
  (target hanoi_tailrec.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff hanoi_tailrec.expected-global-independent-attribute hanoi_tailrec.out-global-independent-attribute)))

; Test rule for input file heintze_mcallester.simpl
(rule
  (deps heintze_mcallester.simpl)
  (target heintze_mcallester.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester.expected-global-independent-attribute heintze_mcallester.out-global-independent-attribute)))

; Test rule for input file heintze_mcallester_10.simpl
(rule
  (deps heintze_mcallester_10.simpl)
  (target heintze_mcallester_10.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_10.expected-global-independent-attribute heintze_mcallester_10.out-global-independent-attribute)))

; Test rule for input file heintze_mcallester_100.simpl
(rule
  (deps heintze_mcallester_100.simpl)
  (target heintze_mcallester_100.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_100.expected-global-independent-attribute heintze_mcallester_100.out-global-independent-attribute)))

; Test rule for input file heintze_mcallester_20.simpl
(rule
  (deps heintze_mcallester_20.simpl)
  (target heintze_mcallester_20.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_20.expected-global-independent-attribute heintze_mcallester_20.out-global-independent-attribute)))

; Test rule for input file heintze_mcallester_200.simpl
(rule
  (deps heintze_mcallester_200.simpl)
  (target heintze_mcallester_200.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_200.expected-global-independent-attribute heintze_mcallester_200.out-global-independent-attribute)))

; Test rule for input file heintze_mcallester_30.simpl
(rule
  (deps heintze_mcallester_30.simpl)
  (target heintze_mcallester_30.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_30.expected-global-independent-attribute heintze_mcallester_30.out-global-independent-attribute)))

; Test rule for input file heintze_mcallester_300.simpl
(rule
  (deps heintze_mcallester_300.simpl)
  (target heintze_mcallester_300.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_300.expected-global-independent-attribute heintze_mcallester_300.out-global-independent-attribute)))

; Test rule for input file heintze_mcallester_40.simpl
(rule
  (deps heintze_mcallester_40.simpl)
  (target heintze_mcallester_40.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_40.expected-global-independent-attribute heintze_mcallester_40.out-global-independent-attribute)))

; Test rule for input file heintze_mcallester_400.simpl
(rule
  (deps heintze_mcallester_400.simpl)
  (target heintze_mcallester_400.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_400.expected-global-independent-attribute heintze_mcallester_400.out-global-independent-attribute)))

; Test rule for input file heintze_mcallester_50.simpl
(rule
  (deps heintze_mcallester_50.simpl)
  (target heintze_mcallester_50.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff heintze_mcallester_50.expected-global-independent-attribute heintze_mcallester_50.out-global-independent-attribute)))

; Test rule for input file id_id.simpl
(rule
  (deps id_id.simpl)
  (target id_id.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff id_id.expected-global-independent-attribute id_id.out-global-independent-attribute)))

; Test rule for input file join.simpl
(rule
  (deps join.simpl)
  (target join.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff join.expected-global-independent-attribute join.out-global-independent-attribute)))

; Test rule for input file kcfa2.simpl
(rule
  (deps kcfa2.simpl)
  (target kcfa2.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff kcfa2.expected-global-independent-attribute kcfa2.out-global-independent-attribute)))

; Test rule for input file kcfa3.simpl
(rule
  (deps kcfa3.simpl)
  (target kcfa3.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff kcfa3.expected-global-independent-attribute kcfa3.out-global-independent-attribute)))

; Test rule for input file loop1.simpl
(rule
  (deps loop1.simpl)
  (target loop1.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff loop1.expected-global-independent-attribute loop1.out-global-independent-attribute)))

; Test rule for input file mc91.simpl
(rule
  (deps mc91.simpl)
  (target mc91.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff mc91.expected-global-independent-attribute mc91.out-global-independent-attribute)))

; Test rule for input file mc91_cps.simpl
(rule
  (deps mc91_cps.simpl)
  (target mc91_cps.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff mc91_cps.expected-global-independent-attribute mc91_cps.out-global-independent-attribute)))

; Test rule for input file mc91_knuth.simpl
(rule
  (deps mc91_knuth.simpl)
  (target mc91_knuth.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff mc91_knuth.expected-global-independent-attribute mc91_knuth.out-global-independent-attribute)))

; Test rule for input file mc91_tailrec.simpl
(rule
  (deps mc91_tailrec.simpl)
  (target mc91_tailrec.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff mc91_tailrec.expected-global-independent-attribute mc91_tailrec.out-global-independent-attribute)))

; Test rule for input file mj09.simpl
(rule
  (deps mj09.simpl)
  (target mj09.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff mj09.expected-global-independent-attribute mj09.out-global-independent-attribute)))

; Test rule for input file numeric_loop1.simpl
(rule
  (deps numeric_loop1.simpl)
  (target numeric_loop1.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff numeric_loop1.expected-global-independent-attribute numeric_loop1.out-global-independent-attribute)))

; Test rule for input file numeric_loop2a.simpl
(rule
  (deps numeric_loop2a.simpl)
  (target numeric_loop2a.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff numeric_loop2a.expected-global-independent-attribute numeric_loop2a.out-global-independent-attribute)))

; Test rule for input file numeric_loop2b.simpl
(rule
  (deps numeric_loop2b.simpl)
  (target numeric_loop2b.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff numeric_loop2b.expected-global-independent-attribute numeric_loop2b.out-global-independent-attribute)))

; Test rule for input file numeric_loop3a.simpl
(rule
  (deps numeric_loop3a.simpl)
  (target numeric_loop3a.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff numeric_loop3a.expected-global-independent-attribute numeric_loop3a.out-global-independent-attribute)))

; Test rule for input file numeric_loop3b.simpl
(rule
  (deps numeric_loop3b.simpl)
  (target numeric_loop3b.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff numeric_loop3b.expected-global-independent-attribute numeric_loop3b.out-global-independent-attribute)))

; Test rule for input file numeric_loop3c.simpl
(rule
  (deps numeric_loop3c.simpl)
  (target numeric_loop3c.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff numeric_loop3c.expected-global-independent-attribute numeric_loop3c.out-global-independent-attribute)))

; Test rule for input file rec_loop.simpl
(rule
  (deps rec_loop.simpl)
  (target rec_loop.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff rec_loop.expected-global-independent-attribute rec_loop.out-global-independent-attribute)))

; Test rule for input file sat.simpl
(rule
  (deps sat.simpl)
  (target sat.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff sat.expected-global-independent-attribute sat.out-global-independent-attribute)))

; Test rule for input file sat3.simpl
(rule
  (deps sat3.simpl)
  (target sat3.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff sat3.expected-global-independent-attribute sat3.out-global-independent-attribute)))

; Test rule for input file sat4.simpl
(rule
  (deps sat4.simpl)
  (target sat4.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff sat4.expected-global-independent-attribute sat4.out-global-independent-attribute)))

; Test rule for input file shivers_infinite.simpl
(rule
  (deps shivers_infinite.simpl)
  (target shivers_infinite.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff shivers_infinite.expected-global-independent-attribute shivers_infinite.out-global-independent-attribute)))

; Test rule for input file shivers_infinite2.simpl
(rule
  (deps shivers_infinite2.simpl)
  (target shivers_infinite2.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff shivers_infinite2.expected-global-independent-attribute shivers_infinite2.out-global-independent-attribute)))

; Test rule for input file tak.simpl
(rule
  (deps tak.simpl)
  (target tak.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff tak.expected-global-independent-attribute tak.out-global-independent-attribute)))

; Test rule for input file tak_4d.simpl
(rule
  (deps tak_4d.simpl)
  (target tak_4d.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff tak_4d.expected-global-independent-attribute tak_4d.out-global-independent-attribute)))

; Test rule for input file tak_b.simpl
(rule
  (deps tak_b.simpl)
  (target tak_b.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff tak_b.expected-global-independent-attribute tak_b.out-global-independent-attribute)))

; Test rule for input file tak_cps.simpl
(rule
  (deps tak_cps.simpl)
  (target tak_cps.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff tak_cps.expected-global-independent-attribute tak_cps.out-global-independent-attribute)))

; Test rule for input file tak_g.simpl
(rule
  (deps tak_g.simpl)
  (target tak_g.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff tak_g.expected-global-independent-attribute tak_g.out-global-independent-attribute)))

; Test rule for input file tak_k.simpl
(rule
  (deps tak_k.simpl)
  (target tak_k.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff tak_k.expected-global-independent-attribute tak_k.out-global-independent-attribute)))

; Test rule for input file test_midtgaard_jensen_cfa.simpl
(rule
  (deps test_midtgaard_jensen_cfa.simpl)
  (target test_midtgaard_jensen_cfa.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff test_midtgaard_jensen_cfa.expected-global-independent-attribute test_midtgaard_jensen_cfa.out-global-independent-attribute)))

; Test rule for input file test_midtgaard_jensen_cfa_cps.simpl
(rule
  (deps test_midtgaard_jensen_cfa_cps.simpl)
  (target test_midtgaard_jensen_cfa_cps.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff test_midtgaard_jensen_cfa_cps.expected-global-independent-attribute test_midtgaard_jensen_cfa_cps.out-global-independent-attribute)))

; Test rule for input file turing_cbv_loop.simpl
(rule
  (deps turing_cbv_loop.simpl)
  (target turing_cbv_loop.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff turing_cbv_loop.expected-global-independent-attribute turing_cbv_loop.out-global-independent-attribute)))

; Test rule for input file turing_loop.simpl
(rule
  (deps turing_loop.simpl)
  (target turing_loop.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff turing_loop.expected-global-independent-attribute turing_loop.out-global-independent-attribute)))

; Test rule for input file y_loop.simpl
(rule
  (deps y_loop.simpl)
  (target y_loop.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff y_loop.expected-global-independent-attribute y_loop.out-global-independent-attribute)))

; Test rule for input file z_loop.simpl
(rule
  (deps z_loop.simpl)
  (target z_loop.out-global-independent-attribute)
  (action
    (with-outputs-to %{target} (run cfa-simpl --debug --global-independent-attribute --integer-domain=intervals --call-domain=last-call-sites:1 --share-variables-program-points --refine-branches %{deps}))))
(alias
  (name   runtest)
  (action (diff z_loop.expected-global-independent-attribute z_loop.out-global-independent-attribute)))

